AB3 release!?!?!?!

edited February 12 in General

Come on AB3 Release urself!
It must be coming very very soon since they mention AB3 support in ElasticDrums latest update release notes.
So where's the hype?
How soon will it be out?

«1

Comments

  • I was also wondering about loopy hd

  • edited February 12

    @djjuniorpops said:
    I was also wondering about loopy hd

    Yes, me too. But it seems @Michael is rather busy fathering... And probably he is also dedicating a lot of time for AB3, which would probably be a higher priority than Loopy. But who knows, maybe he's still working on Loopy 3 now. Hopefully...

  • Gone very quiet on both...perhaps got better things to do now?

  • edited February 12

    fathering is quite important, isn't it?

    Obviously not quite as important as AB and Loopy, but still important :blush:

  • @Munibeast said:
    fathering is quite important, isn't it?

    Obviously not quite as important as AB and Loopy, but still important :blush:

    Lots of people do this fathering business, but AB3 is an altogether unique pro-creation....in other news (you tease) the exclamation mark in your title does hook people in, but to be fair a question mark would be a little fairer :)

  • @JohnnyGoodyear said:

    @Munibeast said:
    fathering is quite important, isn't it?

    Obviously not quite as important as AB and Loopy, but still important :blush:

    Lots of people do this fathering business, but AB3 is an altogether unique pro-creation....in other news (you tease) the exclamation mark in your title does hook people in, but to be fair a question mark would be a little fairer :)

    3 question marks and another 3 exclamation marks added.

  • But the point is: Why would they bother to get an update out for ElasticDrums, even appearing on sunday, explicitly mentioning Audiobus 3 compatibility if it wasn't coming out in a matter of days? Hoping :smiley:

  • edited February 12

    Maybe they are waiting for more apps to be compatible with the ab3 before they release it? Wouldnt make much sense to release it before any apps work with it

  • @ToMess said:
    Maybe they are waiting for more apps to be compatible with the ab3 before they release it? Wouldnt make much sense to release it before any apps work with it

    I'm guessing it'll be backward-compatible.

  • But it still needs a raft of apps taking advantage of the new features to encourage people to buy it

  • One could get the impression people are not that interested in AB3 compared to BM3 and Gadget...

  • I am very interested in AudioBus 3, not only because I use the app probably every day & enjoy it's flexibility even in these infant days of AU's, but also because this forum is like the hangout of many of us iOS music producers and anything I can do to support the team I'll gladly do.

    I just don't know much about it. Will it expand the functionality of my workflow? Does it break entirely new ground? I know those assisting with the Beta can't say too much, but I'm very interested to see what AB3 is cooking.

  • @Munibeast said:
    One could get the impression people are not that interested in AB3 compared to BM3 and Gadget...

    There's been just enough recent leaks on BM3 and Gadget to drive the conversation but nothing on AB3 to talk about.

  • Elastic drums update with AB3 ready...

  • Yeah we're getting very close but since we're still adding two more features and we need to coordinate the launch with more than a dozen other developers it's not possible to give you a release date yet.

    We would have loved to launch sooner but it turns out that Apple has fixed a few bugs in iOS 10.2 and 10.2.1 which were crucial for us. So the delay actually benefited everyone.

    That also means that we're going to require iOS 10.2(.1) as the minimum version for Audiobus 3. Just so you know.
    Supporting earlier versions of iOS would make the whole system worse because we'd have to include crude workarounds for bugs in iOS.

    I'll keep you posted.

  • @Sebastian said:
    Yeah we're getting very close but since we're still adding two more features and we need to coordinate the launch with more than a dozen other developers it's not possible to give you a release date yet.

    We would have loved to launch sooner but it turns out that Apple has fixed a few bugs in iOS 10.2 and 10.2.1 which were crucial for us. So the delay actually benefited everyone.

    That also means that we're going to require iOS 10.2(.1) as the minimum version for Audiobus 3. Just so you know.
    Supporting earlier versions of iOS would make the whole system worse because we'd have to include crude workarounds for bugs in iOS.

    I'll keep you posted.

    Very close, eh? :wink:
    Not quite a matter of days then.
    I hope it'll be real soon!
    And you make me curious what those 2 features might be...
    Any chance it's something to do with organizing and filtering audio apps by features and categories?
    Keep it up and I'm very much looking forward to release day!

  • edited February 13

    @Sebastian said:
    Yeah we're getting very close but since we're still adding two more features and we need to coordinate the launch with more than a dozen other developers it's not possible to give you a release date yet.

    We would have loved to launch sooner but it turns out that Apple has fixed a few bugs in iOS 10.2 and 10.2.1 which were crucial for us. So the delay actually benefited everyone.

    That also means that we're going to require iOS 10.2(.1) as the minimum version for Audiobus 3. Just so you know.
    Supporting earlier versions of iOS would make the whole system worse because we'd have to include crude workarounds for bugs in iOS.

    I'll keep you posted.

    Thx for this info. Hoped it would be available before Valentine. Furthermore pity that you will need 10.2.1. I'm still on stable 9.3.5 with my devices. If AB3 will be real killer I probably will go 10.2.1. Curious how AB3 will be compared to AUM. Somehow both are more or less competitors to me.

  • edited February 13

    Just updated elastic drums and AB3 ready is in the release notes. Soooo there must be a pretty solid/finished SDK or whatever if devs are able to label their apps as such :) I feel it will be soon!

  • edited February 16

    Any chance for a screenshot, @Sebastian? I think we need a little tease here ;-)
    Also, what would be a worst case ETA?

  • Meanwhile Modstep is the second update stating AB3 support.

  • edited March 1

    @Munibeast said:
    Meanwhile Modstep is the second update stating AB3 support.

    AB3 will need at least 10.2.1 as @Sebastian somewhere put it. Although very curious I not planning to update to 10 in the near future. Although if AB3 is killer I could change my mind on that ;)

  • @chimp_spanner said:
    Just updated elastic drums and AB3 ready is in the release notes. Soooo there must be a pretty solid/finished SDK or whatever if devs are able to label their apps as such :) I feel it will be soon!

    Yep.

  • @Sebastian said:

    @chimp_spanner said:
    Just updated elastic drums and AB3 ready is in the release notes. Soooo there must be a pretty solid/finished SDK or whatever if devs are able to label their apps as such :) I feel it will be soon!

    Yep.

    :)

  • @mannix said:

    @Munibeast said:
    Meanwhile Modstep is the second update stating AB3 support.

    AB3 will need at least 10.2.1 as @Sebastian somewhere put it. Although very curious I not planning to update to 10 in the near future. Although if AB3 is killer I could change my mind on that ;)

    Since all my devices are on the latest iOS I have no problems with that :smile:

    @Sebastian said:

    @chimp_spanner said:
    Just updated elastic drums and AB3 ready is in the release notes. Soooo there must be a pretty solid/finished SDK or whatever if devs are able to label their apps as such :) I feel it will be soon!

    Yep.

    Can we have just a tiny little tease screenshot? Pretty please?

  • I really hope it's not AB3 that postponed the release of Gadget 3.0...

  • @Sebastian said:
    Yeah we're getting very close but since we're still adding two more features and we need to coordinate the launch with more than a dozen other developers it's not possible to give you a release date yet.

    We would have loved to launch sooner but it turns out that Apple has fixed a few bugs in iOS 10.2 and 10.2.1 which were crucial for us. So the delay actually benefited everyone.

    That also means that we're going to require iOS 10.2(.1) as the minimum version for Audiobus 3. Just so you know.
    Supporting earlier versions of iOS would make the whole system worse because we'd have to include crude workarounds for bugs in iOS.

    I'll keep you posted.

    Interesting!! I've been trying to follow the bugs/fixes. Which ones were fixed that benefit AB3?

  • edited March 1

    @Samu said:
    I really hope it's not AB3 that postponed the release of Gadget 3.0...

    Definitely not.

    @Audiojunkie said:
    Interesting!! I've been trying to follow the bugs/fixes. Which ones were fixed that benefit AB3?

    1. Apps not being properly ended by iOS, thus causing IAA launch issues (still happening sometimes, just not as often).
    2. Apps that are being launched into the background cannot accept a Core MIDI connection.
  • @Sebastian said:

    @Samu said:
    I really hope it's not AB3 that postponed the release of Gadget 3.0...

    Definitely not.

    @Audiojunkie said:
    Interesting!! I've been trying to follow the bugs/fixes. Which ones were fixed that benefit AB3?

    1. Apps not being properly ended by iOS, thus causing IAA launch issues (still happening sometimes, just not as often).
    2. Apps that are being launched into the background cannot accept a Core MIDI connection.

    That's fantastic news!!! Thanks @Sebastian for letting me know!!!

Sign In or Register to comment.